package mi.hdm.components;

import javafx.scene.control.CheckBox;
import mi.hdm.recipes.Category;

/**
 * Checkbox UI element for categories with the appropriate background color
 */
public class CategoryCheckBox extends CheckBox {
    private final Category category;

    public CategoryCheckBox(Category category) {
        super(category.getName());
        this.category = category;

        //TODO: set text color to white when background is below a certain brightness level
        this.setStyle("-fx-background-color:" + category.getColourCode() + ";" + "-fx-padding: 4px;");
    }

    public Category getAssociatedCategory() {
        return category;
    }
}
